import { BaseService } from "../../common";
import { UtilityService } from "../../common/service/utility.service";
import { Role } from "../roles/entities/role.entity";
import { User } from "../users/entities/user.entity";
import { UserRole } from "./entities/user-role.entity";
export declare class UserRolesService extends BaseService<UserRole> {
    private readonly user_role;
    private readonly model;
    private readonly user;
    private readonly role;
    private utilityService;
    constructor(user_role: typeof UserRole, model: UserRole, user: typeof User, role: typeof Role, utilityService: UtilityService);
    findByPayload(payload: any): Promise<UserRole | {
        status: string;
        message: string;
    }>;
}
