import { CoreMenuRole } from "./entities/core-menu-role.entity";
import { CoreMenu } from "../core-menus/entities/core-menu.entity";
import { MenusDto } from "./dto/menus.dto";
import { BaseService, MomentUtilities } from "../../common";
export declare class CoreMenuRolesService extends BaseService<CoreMenuRole> {
    private readonly model;
    private readonly coreMenuRoles;
    private readonly coreMenus;
    private moment_service;
    coremenus: any;
    constructor(model: CoreMenuRole, coreMenuRoles: typeof CoreMenuRole, coreMenus: typeof CoreMenu, moment_service: MomentUtilities);
    createMenus(params: MenusDto, user: any): Promise<unknown>;
    menuCreation(params: any): Promise<any>;
}
