import { UserRole } from "../../auth/user-roles/entities/user-role.entity";
import { UtilityService } from "../../common/service/utility.service";
import { CoreMenuRole } from "../core-menu-roles/entities/core-menu-role.entity";
import { CoreModelDetail } from "../core-model-details/entities/core-model-detail.entity";
import { CorePageDefinition } from "../core-page-definitions/entities/core-page-definition.entity";
import { CoreMenu } from "./entities/core-menu.entity";
import { BaseService } from "../../common";
export declare class CoreMenusService extends BaseService<CoreMenu> {
    private readonly model;
    private readonly coreMenus;
    private readonly coreMenuRoles;
    private readonly corePageDefinitions;
    private readonly coreModelDetails;
    private readonly coreUserRoles;
    private utilityService;
    constructor(model: CoreMenu, coreMenus: typeof CoreMenu, coreMenuRoles: typeof CoreMenuRole, corePageDefinitions: typeof CorePageDefinition, coreModelDetails: typeof CoreModelDetail, coreUserRoles: typeof UserRole, utilityService: UtilityService);
    restore(id: number): Promise<unknown>;
    getMenus(user: any): Promise<any>;
    menus(menu_ids: any, id: any, step_count: any): Promise<any[]>;
}
